## linux-2.4.20-wolk4.17-fullkernel.tar.gz

=== Makefile ===
VERSION = 2
PATCHLEVEL = 4
SUBLEVEL = 20
EXTRAVERSION = -wolk4.17s

KERNELRELEASE=$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
ARCH := $(SUBARCH)

KERNELPATH=kernel-$(shell echo $(KERNELRELEASE) | sed -e "s/-//g")

CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)
TOPDIR	:= $(shell /bin/pwd)

HPATH   	= $(TOPDIR)/include
FINDHPATH	= $(HPATH)/asm $(HPATH)/linux $(HPATH)/scsi $(HPATH)/net $(HPATH)/math-emu $(HPATH)/rsbac

HOSTCC  	= gcc

ifeq ($(CONFIG_GCC_OPTIMIZATION1),y)
  HOSTCFLAGS	= -Wall -Wstrict-prototypes -Os -fomit-frame-pointer -pipe
else
  HOSTCFLAGS	= -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -pipe
endif

CROSS_COMPILE 	=

#
# Include the make variables (CC, etc...)
#

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
MAKEFILES	= $(TOPDIR)/.config
GENKSYMS	= /sbin/genksyms
DEPMOD		= /sbin/depmod
KALLSYMS	= /sbin/kallsyms
MODFLAGS	= -DMODULE
CFLAGS_KERNEL	=
PERL		= perl
AWK		= awk
TMPPREFIX	=
RPM		:= $(shell if [ -x "/usr/bin/rpmbuild" ]; then echo rpmbuild; \
			else echo rpm; fi)

export	VERSION PATCHLEVEL SUBLEVEL EXTRAVERSION KERNELRELEASE ARCH \
	CONFIG_SHELL TOPDIR HPATH HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \
	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE MAKEFILES GENKSYMS MODFLAGS PERL AWK

all:	do-it-all

#
# Make "config" the default target if there is no configuration file or
# "depend" the target if there is no top-level dependency information.
#

ifeq (.config,$(wildcard .config))
include .config
ifeq (.depend,$(wildcard .depend))
include .depend
do-it-all:	Version vmlinux
else
CONFIGURATION = depend
do-it-all:	depend
endif
else
CONFIGURATION = config
do-it-all:	config
endif

#
# INSTALL_PATH specifies where to place the updated kernel and system map
# images.  Uncomment if you want to place them anywhere other than root.
#

export	INSTALL_PATH=/boot

#
# INSTALL_MOD_PATH specifies a prefix to MODLIB for module directory
# relocations required by build roots.  This is not defined in the
# makefile but the arguement can be passed to make if needed.
#

MODLIB	:= $(INSTALL_MOD_PATH)/lib/modules/$(KERNELRELEASE)
export MODLIB

#
# standard CFLAGS
#

CPPFLAGS := -D__KERNEL__ -I$(HPATH)

CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs \
			-fno-strict-aliasing -fno-common -Wno-unused \
			$(shell if $(CC) -finline-limit=2000 -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-finline-limit=2000"; fi)

ifeq ($(CONFIG_GCC_OPTIMIZATION1),y)
  CFLAGS += -Os
else
  CFLAGS += -O2
endif

ifndef CONFIG_FRAME_POINTER
CFLAGS += -fomit-frame-pointer
endif
AFLAGS := -D__ASSEMBLY__ $(CPPFLAGS)

#
# ROOT_DEV specifies the default root-device when making the image.
# This can be either FLOPPY, CURRENT, /dev/xxxx or empty, in which case
# the default of FLOPPY is used by 'build'.
# This is i386 specific.
#

export ROOT_DEV = CURRENT

#
# If you want to preset the SVGA mode, uncomment the next line and
# set SVGA_MODE to whatever number you want.
# Set it to -DSVGA_MODE=NORMAL_VGA if you just want the EGA/VGA mode.
# The number is the same as you would ordinarily press at bootup.
# This is i386 specific.
#

export SVGA_MODE = -DSVGA_MODE=6

#
# If you want the RAM disk device, define this to be the size in blocks.
# This is i386 specific.
#

#export RAMDISK = -DRAMDISK=512

CORE_FILES	=kernel/kernel.o mm/mm.o fs/fs.o ipc/ipc.o
NETWORKS	=net/network.o
GRSECURITY	=grsecurity/grsec.o

LIBS		=$(TOPDIR)/lib/lib.a
SUBDIRS		=kernel drivers mm fs net ipc lib crypto grsecurity

ifeq ($(CONFIG_KDB),y)
CORE_FILES	+= kdb/kdb.o
SUBDIRS		+= kdb
endif

#
# Add RSBAC
#
ifeq ($(CONFIG_RSBAC),y)
CORE_FILES := $(CORE_FILES) rsbac/rsbac.o
SUBDIRS    := $(SUBDIRS) rsbac
endif

DRIVERS-n :=
DRIVERS-y :=
DRIVERS-m :=
DRIVERS-  :=

DRIVERS-$(CONFIG_ACPI) += drivers/acpi/acpi.o
DRIVERS-$(CONFIG_PARPORT) += drivers/parport/driver.o
DRIVERS-y += drivers/char/char.o \
	drivers/block/block.o \
	drivers/misc/misc.o \
	drivers/net/net.o \
	drivers/media/media.o
DRIVERS-$(CONFIG_AGP) += drivers/char/agp/agp.o
DRIVERS-$(CONFIG_DRM_NEW) += drivers/char/drm/drm.o
DRIVERS-$(CONFIG_DRM_OLD) += drivers/char/drm-4.0/drm.o
DRIVERS-$(CONFIG_NUBUS) += drivers/nubus/nubus.a
DRIVERS-$(CONFIG_NET_FC) += drivers/net/fc/fc.o
DRIVERS-$(CONFIG_DEV_APPLETALK) += drivers/net/appletalk/appletalk.o
DRIVERS-$(CONFIG_TR) += drivers/net/tokenring/tr.o
DRIVERS-$(CONFIG_WAN) += drivers/net/wan/wan.o
DRIVERS-$(CONFIG_ARCNET) += drivers/net/arcnet/arcnetdrv.o
DRIVERS-$(CONFIG_ATM) += drivers/atm/atm.o
DRIVERS-$(CONFIG_IDE) += drivers/ide/idedriver.o
DRIVERS-$(CONFIG_FC4) += drivers/fc4/fc4.a
DRIVERS-$(CONFIG_SCSI) += drivers/scsi/scsidrv.o
DRIVERS-$(CONFIG_FUSION_BOOT) += drivers/message/fusion/fusion.o
DRIVERS-$(CONFIG_IEEE1394) += drivers/ieee1394/ieee1394drv.o
DRIVERS-$(CONFIG_SYSTRACE) += drivers/systrace/str.o

ifneq ($(CONFIG_CD_NO_IDESCSI)$(CONFIG_BLK_DEV_IDECD)$(CONFIG_BLK_DEV_SR)$(CONFIG_PARIDE_PCD),)
DRIVERS-y += drivers/cdrom/driver.o
endif

DRIVERS-$(CONFIG_SOUND) += drivers/sound/sounddrivers.o
DRIVERS-$(CONFIG_PCI) += drivers/pci/driver.o
DRIVERS-$(CONFIG_MTD) += drivers/mtd/mtdlink.o
DRIVERS-$(CONFIG_PCMCIA) += drivers/pcmcia/pcmcia.o
DRIVERS-$(CONFIG_NET_PCMCIA) += drivers/net/pcmcia/pcmcia_net.o
DRIVERS-$(CONFIG_NET_WIRELESS) += drivers/net/wireless/wireless_net.o
DRIVERS-$(CONFIG_PCMCIA_CHRDEV) += drivers/char/pcmcia/pcmcia_char.o
DRIVERS-$(CONFIG_DIO) += drivers/dio/dio.a
DRIVERS-$(CONFIG_SBUS) += drivers/sbus/sbus_all.o
DRIVERS-$(CONFIG_ZORRO) += drivers/zorro/driver.o
DRIVERS-$(CONFIG_FC4) += drivers/fc4/fc4.a
DRIVERS-$(CONFIG_PPC32) += drivers/macintosh/macintosh.o
DRIVERS-$(CONFIG_MAC) += drivers/macintosh/macintosh.o
DRIVERS-$(CONFIG_ISAPNP) += drivers/pnp/pnp.o
DRIVERS-$(CONFIG_SGI_IP22) += drivers/sgi/sgi.a
DRIVERS-$(CONFIG_VT) += drivers/video/video.o
DRIVERS-$(CONFIG_PARIDE) += drivers/block/paride/paride.a
DRIVERS-$(CONFIG_BLK_DEV_NWD) += drivers/block/nwd/nwd.o
DRIVERS-$(CONFIG_HAMRADIO) += drivers/net/hamradio/hamradio.o
DRIVERS-$(CONFIG_TC) += drivers/tc/tc.a
DRIVERS-$(CONFIG_USB) += drivers/usb/usbdrv.o
DRIVERS-$(CONFIG_INPUT) += drivers/input/inputdrv.o
DRIVERS-$(CONFIG_HIL) += drivers/hil/hil.o
DRIVERS-$(CONFIG_I2O) += drivers/message/i2o/i2o.o
DRIVERS-$(CONFIG_IRDA) += drivers/net/irda/irda.o
DRIVERS-$(CONFIG_I2C) += drivers/i2c/i2c.o
DRIVERS-$(CONFIG_PHONE) += drivers/telephony/telephony.o
DRIVERS-$(CONFIG_MD) += drivers/md/mddev.o
DRIVERS-$(CONFIG_GSC) += drivers/gsc/gscbus.o
DRIVERS-$(CONFIG_BLUEZ) += drivers/bluetooth/bluetooth.o
DRIVERS-$(CONFIG_HOTPLUG_PCI) += drivers/hotplug/vmlinux-obj.o
DRIVERS-$(CONFIG_ISDN_BOOL) += drivers/isdn/vmlinux-obj.o
DRIVERS-$(CONFIG_CRYPTO) += crypto/crypto.o
DRIVERS-$(CONFIG_CPU_FREQ) += drivers/cpufreq/built-in.o
DRIVERS-$(CONFIG_DXR3) += drivers/media/em8300/dxr3.o
DRIVERS-$(CONFIG_SENSORS) += drivers/sensors/sensor.o
DRIVERS := $(DRIVERS-y)


# files removed with 'make clean'
CLEAN_FILES = \
	kernel/ksyms.lst include/linux/compile.h \
	vmlinux System.map \
	$(TMPPREFIX).tmp* \
	drivers/char/consolemap_deftbl.c drivers/video/promcon_tbl.c \
	drivers/char/conmakehash \
	drivers/char/drm/*-mod.c \
	drivers/pci/devlist.h drivers/pci/classlist.h drivers/pci/gen-devlist \
	drivers/zorro/devlist.h drivers/zorro/gen-devlist \
	drivers/sound/bin2hex drivers/sound/hex2hex \
	drivers/atm/fore200e_mkfirm drivers/atm/{pca,sba}*{.bin,.bin1,.bin2} \
	drivers/scsi/aic7xxx/aicasm/aicasm \
	drivers/scsi/aic7xxx/aicasm/aicasm_gram.c \
	drivers/scsi/aic7xxx/aicasm/aicasm_gram.h \
	drivers/scsi/aic7xxx/aicasm/aicasm_macro_gram.c \
	drivers/scsi/aic7xxx/aicasm/aicasm_macro_gram.h \
	drivers/scsi/aic7xxx/aicasm/aicasm_macro_scan.c \
	drivers/scsi/aic7xxx/aicasm/aicasm_scan.c \
	drivers/scsi/aic7xxx/aicasm/aicdb.h \
	drivers/scsi/aic7xxx/aicasm/y.tab.h \
	drivers/scsi/53c700_d.h \
	fs/proc/confdata.h \
	net/khttpd/make_times_h \
	net/khttpd/times.h \
	mm/modparse mm/badmem_modules.c mm/kernel_badmemlib.o mm/badmemlib_version mm/badmemkernellib_version \
	submenu*
# directories removed with 'make clean'
CLEAN_DIRS = \
	modules

# files removed with 'make mrproper'
MRPROPER_FILES = \
	include/linux/autoconf.h include/linux/version.h \
	drivers/net/hamradio/soundmodem/sm_tbl_{afsk1200,afsk2666,fsk9600}.h \
	drivers/net/hamradio/soundmodem/sm_tbl_{hapn4800,psk4800}.h \
	drivers/net/hamradio/soundmodem/sm_tbl_{afsk2400_7,afsk2400_8}.h \
	drivers/net/hamradio/soundmodem/gentbl \
	drivers/sound/*_boot.h drivers/sound/.*.boot \
	drivers/sound/msndinit.c \
	drivers/sound/msndperm.c \
	drivers/sound/pndsperm.c \
	drivers/sound/pndspini.c \
	drivers/atm/fore200e_*_fw.c drivers/atm/.fore200e_*.fw \
	.version .config* config.in config.old \
	scripts/tkparse scripts/kconfig.tk scripts/kconfig.tmp \
	scripts/lxdialog/*.o scripts/lxdialog/lxdialog scripts/carray \
	.menuconfig.log \
	include/asm \
	kdb/gen-kdb_cmds.c \
	.hdepend scripts/mkdep scripts/split-include scripts/docproc \
	$(TOPDIR)/include/linux/modversions.h \
	net/ipsec/alg/ipsec_alg_static_init.c \
	net/ipsec/libdes/asm/dx86unix.S \
	net/ipsec/libdes/asm/yx86unix.S \
	drivers/scsi/53c8xx_d.h \
	drivers/scsi/53c8xx_u.h \
	drivers/scsi/sim710_d.h \
	drivers/scsi/sim710_u.h \
	kernel.spec

# directories removed with 'make mrproper'
MRPROPER_DIRS = \
	include/config \
	net/ipsec/alg/libaes \
	net/ipsec/alg/libblowfish \
	net/ipsec/alg/libcast \
	net/ipsec/alg/libmd5 \
	net/ipsec/alg/libserpent \
	net/ipsec/alg/libsha1 \
	net/ipsec/alg/libsha2 \
	net/ipsec/alg/libtwofish \
	net/ipsec/alg/perlasm \
	net/ipsec/libopenswan/version.c \
	$(TOPDIR)/include/linux/modules


include arch/$(ARCH)/Makefile

# Extra cflags for kbuild 2.4.  The default is to forbid includes by kernel code
# from user space headers.  Some UML code requires user space headers, in the
# UML Makefiles add 'kbuild_2_4_nostdinc :=' before include Rules.make.  No
# other kernel code should include user space headers, if you need
# 'kbuild_2_4_nostdinc :=' or -I/usr/include for kernel code and you are not UML
# then your code is broken!  KAO.

kbuild_2_4_nostdinc	:= -nostdinc -iwithprefix include
export kbuild_2_4_nostdinc

CPP:=$(CPP)
CC:=$(CC)
LD:=$(LD)

export	CPPFLAGS CFLAGS CFLAGS_KERNEL AFLAGS AFLAGS_KERNEL

export	NETWORKS DRIVERS LIBS HEAD LDFLAGS LINKFLAGS MAKEBOOT ASFLAGS GRSECURITY

.S.s:
	$(CPP) $(AFLAGS) $(AFLAGS_KERNEL) -traditional -o $*.s $<
.S.o:
	$(CC) $(AFLAGS) $(AFLAGS_KERNEL) -traditional -c -o $*.o $<

Version: dummy
	@rm -f include/linux/compile.h

boot: vmlinux
	@$(MAKE) CFLAGS="$(CFLAGS) $(CFLAGS_KERNEL)" -C arch/$(ARCH)/boot

LD_VMLINUX	:= $(LD) $(LINKFLAGS) $(HEAD) init/main.o init/version.o init/do_mounts.o \
			--start-group \
			$(CORE_FILES) \
			$(DRIVERS) \
			$(NETWORKS) \
			$(GRSECURITY) \
			$(LIBS) \
			--end-group
ifeq ($(CONFIG_KALLSYMS),y)
LD_VMLINUX_KALLSYMS	:= $(TMPPREFIX).tmp_kallsyms3.o
else
LD_VMLINUX_KALLSYMS	:=
endif

evfs/efs:
	$(MAKE) -C evfs efs

ifdef CONFIG_EVFS_FS
vmlinux: include/linux/version.h $(CONFIGURATION) init/main.o init/version.o init/do_mounts.o linuxsubdirs evfs/efs
else
vmlinux: include/linux/version.h $(CONFIGURATION) init/main.o init/version.o init/do_mounts.o linuxsubdirs
endif
	@$(MAKE) CFLAGS="$(CFLAGS) $(CFLAGS_KERNEL)" kallsyms

.PHONY:	kallsyms

kallsyms:
ifeq ($(CONFIG_KALLSYMS),y)
	@echo kallsyms pass 1
	$(LD_VMLINUX) -o $(TMPPREFIX).tmp_vmlinux1

=== fs/Makefile ===
#
# Makefile for the Linux filesystems.
#
# 14 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
# 

O_TARGET := fs.o

export-objs :=	filesystems.o open.o dcache.o buffer.o dquot.o exec.o
mod-subdirs :=	nls xfs

obj-y :=	open.o read_write.o devices.o file_table.o buffer.o \
		super.o block_dev.o char_dev.o stat.o exec.o pipe.o namei.o \
		fcntl.o ioctl.o readdir.o select.o fifo.o locks.o \
		dcache.o inode.o attr.o bad_inode.o file.o iobuf.o dnotify.o \
		filesystems.o namespace.o seq_file.o xattr.o quota.o eventpoll.o

obj-$(CONFIG_QUOTA)		+= dquot.o
obj-$(CONFIG_QFMT_V1)		+= quota_v1.o
obj-$(CONFIG_QFMT_V2)		+= quota_v2.o

obj-y += aio.o
export-objs += aio.o

ifeq ($(CONFIG_TRUSTEES),y)
obj-y += trustee.o
endif

subdir-$(CONFIG_PROC_FS)	+= proc
subdir-y			+= partitions

# Do not add any filesystems before this line
subdir-$(CONFIG_EXT3_FS)	+= ext3    # Before ext2 so root fs can be ext3
subdir-$(CONFIG_JBD)		+= jbd
subdir-$(CONFIG_EXT2_FS)	+= ext2
subdir-$(CONFIG_CRAMFS)		+= cramfs
subdir-$(CONFIG_RAMFS)		+= ramfs
subdir-$(CONFIG_CODA_FS)	+= coda
subdir-$(CONFIG_INTERMEZZO_FS)	+= intermezzo
subdir-$(CONFIG_MINIX_FS)	+= minix
subdir-$(CONFIG_FAT_FS)		+= fat
subdir-$(CONFIG_UMSDOS_FS)	+= umsdos
subdir-$(CONFIG_MSDOS_FS)	+= msdos
subdir-$(CONFIG_VFAT_FS)	+= vfat
subdir-$(CONFIG_BFS_FS)		+= bfs
subdir-$(CONFIG_ISO9660_FS)	+= isofs
subdir-$(CONFIG_CD_FS)		+= cdfs
subdir-$(CONFIG_CIFS)		+= cifs
subdir-$(CONFIG_DEVFS_FS)	+= devfs
subdir-$(CONFIG_HFSPLUS_FS)	+= hfsplus # Before hfs to find wrapped HFS+
subdir-$(CONFIG_HFS_FS)		+= hfs
subdir-$(CONFIG_VXFS_FS)	+= freevxfs
subdir-$(CONFIG_NFS_FS)		+= nfs
subdir-$(CONFIG_NFSD)		+= nfsd
subdir-$(CONFIG_LOCKD)		+= lockd
subdir-$(CONFIG_NLS)		+= nls
subdir-$(CONFIG_SYSV_FS)	+= sysv
subdir-$(CONFIG_SMB_FS)		+= smbfs
subdir-$(CONFIG_NCP_FS)		+= ncpfs
subdir-$(CONFIG_DAV_FS)		+= davfs
subdir-$(CONFIG_HPFS_FS)	+= hpfs
subdir-$(CONFIG_NTFS_FS)	+= ntfs
subdir-$(CONFIG_NWFS_FS)	+= nwfs
subdir-$(CONFIG_UFS_FS)		+= ufs
subdir-$(CONFIG_EFS_FS)		+= efs
subdir-$(CONFIG_JFFS_FS)	+= jffs
subdir-$(CONFIG_JFFS2_FS)	+= jffs2
subdir-$(CONFIG_AFFS_FS)	+= affs
subdir-$(CONFIG_ROMFS_FS)	+= romfs
subdir-$(CONFIG_QNX4FS_FS)	+= qnx4
subdir-$(CONFIG_UDF_FS)		+= udf
subdir-$(CONFIG_SUPERMOUNT)	+= supermount
subdir-$(CONFIG_AUTOFS_FS)	+= autofs
subdir-$(CONFIG_AUTOFS4_FS)	+= autofs4
subdir-$(CONFIG_ADFS_FS)	+= adfs
subdir-$(CONFIG_AFS_FS)		+= afs
subdir-$(CONFIG_REISERFS_FS)	+= reiserfs
subdir-$(CONFIG_DEVPTS_FS)	+= devpts
subdir-$(CONFIG_SUN_OPENPROMFS)	+= openpromfs
subdir-$(CONFIG_BEFS_FS)	+= befs
subdir-$(CONFIG_JFS_FS)		+= jfs
subdir-$(CONFIG_SQUASHFS)	+= squashfs
subdir-$(CONFIG_XFS_FS)		+= xfs
subdir-$(CONFIG_OCFS_FS)	+= ocfs
subdir-$(CONFIG_BADFS_FS)	+= badfs
subdir-$(CONFIG_FTP_FS)		+= ftpfs
subdir-$(CONFIG_SH_FS)		+= shfs
subdir-$(CONFIG_LUFS_FS)	+= lufs
subdir-$(CONFIG_EVFS_FS)	+= evfs

obj-$(CONFIG_BINFMT_AOUT)	+= binfmt_aout.o
obj-$(CONFIG_BINFMT_EM86)	+= binfmt_em86.o
obj-$(CONFIG_BINFMT_MISC)	+= binfmt_misc.o

# binfmt_script is always there
obj-y				+= binfmt_script.o

obj-$(CONFIG_BINFMT_ELF)	+= binfmt_elf.o

export-objs += mbcache.o posix_acl.o xattr_acl.o nfsacl.o
obj-$(CONFIG_FS_MBCACHE)	+= mbcache.o
obj-$(CONFIG_FS_POSIX_ACL)	+= posix_acl.o xattr_acl.o

obj-$(CONFIG_NFS_ACL)		+= nfsacl.o
obj-$(CONFIG_NFSD_ACL)		+= nfsacl.o

# persistent filesystems
obj-y += $(join $(subdir-y),$(subdir-y:%=/%.o))


include $(TOPDIR)/Rules.make

=== kernel/Makefile ===
#
# Makefile for the linux kernel.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definitions are now in the main makefile...

O_TARGET := kernel.o

export-objs = signal.o sys.o kmod.o context.o ksyms.o pm.o exec_domain.o printk.o \
		rcupdate.o evl_cmd.o fork.o

obj-y     = sched.o dma.o fork.o exec_domain.o panic.o printk.o \
	    module.o exit.o itimer.o info.o time.o softirq.o resource.o \
	    sysctl.o capability.o ptrace.o timer.o user.o \
	    signal.o sys.o kmod.o context.o rcupdate.o futex.o

obj-$(CONFIG_UID16) += uid16.o
obj-$(CONFIG_MODULES) += ksyms.o
obj-$(CONFIG_PM) += pm.o
obj-$(CONFIG_BSD_PROCESS_ACCT) += acct.o
obj-$(CONFIG_KALLSYMS) += kallsyms.o
obj-$(CONFIG_EVLOG) += evl_buf.o evl_cmd.o

ifneq ($(CONFIG_IA64),y)
# According to Alan Modra <alan@linuxcare.com.au>, the -fno-omit-frame-pointer is
# needed for x86 only.  Why this used to be enabled for all architectures is beyond
# me.  I suspect most platforms don't need this, but until we know that for sure
# I turn this off for IA-64 only.  Andreas Schwab says it's also needed on m68k
# to get a correct value for the wait-channel (WCHAN in ps). --davidm
CFLAGS_sched.o := $(PROFILING) -fno-omit-frame-pointer
endif

include $(TOPDIR)/Rules.make

=== mm/Makefile ===
#
# Makefile for the linux memory manager.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definition is now in the main makefile...

O_TARGET := mm.o

export-objs := shmem.o filemap.o memory.o page_alloc.o oom_notifier.o \
	       vmscan.o

obj-y	 := memory.o mmap.o filemap.o mprotect.o mlock.o mremap.o \
	    vmalloc.o slab.o bootmem.o swap.o vmscan.o page_alloc.o \
	    numa.o shmem.o rmap.o oom_notifier.o

obj-$(CONFIG_HIGHMEM) += highmem.o
obj-$(CONFIG_SWAP) += page_io.o swap_state.o swapfile.o
obj-$(CONFIG_OOM_KILL)  += oom_kill.o
obj-$(CONFIG_OOM_KPPID) += oom_kill_parent.o
obj-$(CONFIG_OOM_PANIC) += oom_panic.o

obj-$(CONFIG_BIGPHYS_AREA) += bigphysarea.o
obj-y += wtd.o

obj-$(CONFIG_PROC_MM) += proc_mm.o

ifeq ($(CONFIG_MEMORYPOOL),y)
obj-y += mempool.o
export-objs += mempool.o
endif

ifeq ($(CONFIG_BADMEM),y)
 ifeq ($(CONFIG_BADMEM_PROCFS),y)
  ifeq ($(CONFIG_PROC_FS),y)
   obj-y += badmem_proc.o kernel_badmemlib.o
  endif
 endif
 
 ifeq ($(CONFIG_BADMEM_MODSYSTEM),y)
  obj-y += badmem_modules.o
 endif

endif
ifeq ($(CONFIG_PROC_MEMMAP),y)
 ifeq ($(CONFIG_PROC_FS),y)
  obj-y += proc_memmap.o
 endif
endif

include $(TOPDIR)/Rules.make

ifeq ($(CONFIG_BADMEM),y)
 ifeq ($(CONFIG_BADMEM_MODSYSTEM),y)

   CONFIG_BADMEM_CONFIGFILENAME = $(subst ",,$(CONFIG_BADMEM_CONFIGFILENAME_WITH_QUOTES))

   ifeq ("$(CONFIG_BADMEM_CONFIGFILENAME)","")
    CONFIG_BADMEM_CONFIGFILENAME = /etc/badmem.conf
   endif

modparse: modparse.c
	$(CC) -o modparse modparse.c -lbadmem -lm
 
badmemlib_version: badmemlib_version.c
	$(CC) -DLIB_TEST -o badmemlib_version badmemlib_version.c -lbadmem -lm

runversiontest: badmemlib_version
	@./badmemlib_version; if [ $? == 1 ]; then echo "Sorry, the version\
of your installed BadMEMlib is too old. Please update from\
http://badmem.sourceforge.net"; fi
	rm -f ./badmemlib_version  # This file is not used any more, so we can delete it
 
badmem_modules.o: runversiontest modparse $(CONFIG_BADMEM_CONFIGFILENAME)
	./modparse $(CONFIG_BADMEM_CONFIGFILENAME) > badmem_modules.c
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -c -o badmem_modules.o badmem_modules.c

 endif

 ifeq ($(CONFIG_BADMEM_PROCFS),y)
  ifneq ("$(CONFIG_BADMEM_UTILPATH_WITH_QUOTES)","")
   CONFIG_BADMEM_UTILPATH:=$(strip $(subst ",,$(CONFIG_BADMEM_UTILPATH_WITH_QUOTES)))
  else
   CONFIG_BADMEM_UTILPATH:=/usr/src/badmem
  endif
  override CFLAGS+= -I$(CONFIG_BADMEM_UTILPATH)/badmemlib/include


badmemkernellib_version: badmemlib_version.c
	$(CC) -DKERNELLIB_TEST -o badmemkernellib_version -I $(CONFIG_BADMEM_UTILPATH)/badmemlib/include badmemlib_version.c -lbadmem -lm

runversiontest_kernel: badmemkernellib_version
	@./badmemkernellib_version; if [ $? == 1 ]; then echo "Sorry, the version\
of your in the kernel configuration specified BadMEMlib is too old. Please update from\
http://badmem.sourceforge.net"; fi
	rm -f ./badmemkernellib_version   # This file is not used any more, so we can delete it
 
kernel_badmemlib.o: runversiontest_kernel
	@if [ ! -e $(CONFIG_BADMEM_UTILPATH) ]; then echo "$(CONFIG_BADMEM_UTILPATH) does not exists!"; exit 1; fi
	@if [ ! -e $(CONFIG_BADMEM_UTILPATH)/badmemlib -o ! -e $(CONFIG_BADMEM_UTILPATH)/badmemlib/Makefile.in ]; then echo "Could not find util package in $(CONFIG_BADMEM_UTILPATH)!"; exit 1; fi
	if [ -e $(CONFIG_BADMEM_UTILPATH)/configure -a ! -e $(CONFIG_BADMEM_UTILPATH)/Makefile ]; then cd $(CONFIG_BADMEM_UTILPATH); ./configure ; fi
	$(MAKE) -C $(CONFIG_BADMEM_UTILPATH)/badmemlib IN_KERNEL_MODE=1 clean kernel_badmemlib.o
	@if [ -L kernel_badmemlib.o ]; then ln -sf $(CONFIG_BADMEM_UTILPATH)/badmemlib/kernel_badmemlib.o kernel_badmemlib.o; fi
	@if [ ! -e kernel_badmemlib.o ]; then ln -s $(CONFIG_BADMEM_UTILPATH)/badmemlib/kernel_badmemlib.o kernel_badmemlib.o; fi
	@if [ ! -L kernel_badmemlib.o ]; then echo "Could not create link for 'kernel_badmemlib.o'"; exit 1; fi
 endif

endif

=== net/Makefile ===
#
# Makefile for the linux networking.
#
# 2 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
#

O_TARGET :=	network.o

mod-subdirs :=	ipv4/netfilter ipv6/netfilter bridge/netfilter ipx irda bluetooth \
		atm netlink sched core rxrpc 802
export-objs :=	netsyms.o

subdir-y :=	core ethernet
subdir-m :=	ipv4 # hum?


subdir-$(CONFIG_NET)		+= 802 sched netlink
subdir-$(CONFIG_INET)		+= ipv4
subdir-$(CONFIG_NETFILTER)	+= ipv4/netfilter
subdir-$(CONFIG_CIPE)		+= cipe
subdir-$(CONFIG_IPSEC)		+= ipsec
subdir-$(CONFIG_IPSEC_TUNNEL)	+= ipsectunnel
subdir-$(CONFIG_UNIX)		+= unix
subdir-$(CONFIG_IPV6)		+= ipv6

ifneq ($(CONFIG_IPV6),n)
ifneq ($(CONFIG_IPV6),)
subdir-$(CONFIG_NETFILTER)	+= ipv6/netfilter
subdir-$(CONFIG_IPV6_MOBILITY)	+= ipv6/mobile_ip6
endif
endif

ifneq ($(CONFIG_BRIDGE),n)
  ifneq ($(CONFIG_BRIDGE),)
    subdir-$(CONFIG_BRIDGE)	+= bridge/netfilter
  endif
endif

subdir-$(CONFIG_TUX)		+= tux
subdir-$(CONFIG_KHTTPD)		+= khttpd
subdir-$(CONFIG_PACKET)		+= packet
subdir-$(CONFIG_NET_SCHED)	+= sched
subdir-$(CONFIG_BRIDGE)		+= bridge
subdir-$(CONFIG_IPX)		+= ipx
subdir-$(CONFIG_ATALK)		+= appletalk
subdir-$(CONFIG_WAN_ROUTER)	+= wanrouter
subdir-$(CONFIG_X25)		+= x25
subdir-$(CONFIG_LAPB)		+= lapb
subdir-$(CONFIG_NETROM)		+= netrom
subdir-$(CONFIG_ROSE)		+= rose
subdir-$(CONFIG_AX25)		+= ax25
subdir-$(CONFIG_IRDA)		+= irda
subdir-$(CONFIG_BLUEZ)		+= bluetooth
subdir-$(CONFIG_SUNRPC)		+= sunrpc
subdir-$(CONFIG_ATM)		+= atm
subdir-$(CONFIG_DECNET)		+= decnet
subdir-$(CONFIG_ECONET)		+= econet
subdir-$(CONFIG_VLAN_8021Q)	+= 8021q
subdir-$(CONFIG_VETHER)		+= veth
subdir-$(CONFIG_LRLINK)		+= lr
subdir-$(CONFIG_AFS_FS)		+= rxrpc

ifeq ($(CONFIG_NETFILTER),y)
  mod-subdirs += ipv4/ipvs
  subdir-$(CONFIG_IP_VS) += ipv4/ipvs
endif

ifeq ($(CONFIG_CIPE),y)
  obj-y += cipe/cipe.o
endif

obj-y	:= socket.o $(join $(subdir-y), $(patsubst %,/%.o,$(notdir $(subdir-y))))
ifeq ($(CONFIG_NET),y)
obj-$(CONFIG_MODULES)		+= netsyms.o
obj-$(CONFIG_SYSCTL)		+= sysctl_net.o
endif

include $(TOPDIR)/Rules.make

=== scripts/Makefile ===
HEADER=header.tk
TAIL=tail.tk

# Previous versions always remade kconfig.tk because they always depended
# on soundscript.  This runs fairly fast, and I can't find all the
# Config.in files to depend on anyways.  So I'll force it to remake.

kconfig.tk: dummy

kconfig.tk: ${TOPDIR}/Makefile ${TOPDIR}/arch/${ARCH}/config.in \
		tkparse ${HEADER} ${TAIL}
	@if [ -f /usr/local/bin/wish ];	then \
		echo '#!'"/usr/local/bin/wish -f" > kconfig.tk; \
	else \
		echo '#!'"/usr/bin/wish -f" > kconfig.tk; \
	fi
	cat ${HEADER} >> ./kconfig.tk
	./tkparse < ../arch/${ARCH}/config.in >> kconfig.tk
	echo "set defaults \"arch/${ARCH}/defconfig\"" >> kconfig.tk
	echo "set ARCH \"${ARCH}\"" >> kconfig.tk
	cat ${TAIL} >> kconfig.tk
	chmod 755 kconfig.tk

tkparse: tkparse.o tkcond.o tkgen.o
	${HOSTCC} -o tkparse tkparse.o tkcond.o tkgen.o

tkparse.o: tkparse.c tkparse.h

tkcond.o: tkcond.c tkparse.h

tkgen.o: tkgen.c tkparse.h

tkparse.o tkcond.o tkgen.o:
	$(HOSTCC) $(HOSTCFLAGS) -c -o $@ $(@:.o=.c)

docproc.o: docproc.c
	$(HOSTCC) $(HOSTCFLAGS) -c -o $@ $(@:.o=.c)

docproc: docproc.o
	${HOSTCC} -o docproc docproc.o

clean:
	rm -f *~ kconfig.tk *.o tkparse mkdep split-include docproc carray

include $(TOPDIR)/Rules.make

=== drivers/misc/Makefile ===
#
# Makefile for misc devices that really don't fit anywhere else.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definitions are now inherited from the
# parent makes..
#

.S.o:
	$(CC) $(AFLAGS) $(AFLAGS_$@) -c $< -o $*.o

O_TARGET := misc.o

ifeq ($(CONFIG_BLK_DEV_LOOP_AES),y)
AES_X86_ASM=n
ifeq ($(CONFIG_X86),y)
ifneq ($(CONFIG_X86_64),y)
  AES_X86_ASM=y
endif
endif
ifeq ($(AES_X86_ASM),y)
  export-objs += crypto-ksym.o
  obj-y       += aes-x86.o md5-x86.o crypto-ksym.o
  AFLAGS_aes-x86.o := -DUSE_UNDERLINE=1
else
ifeq ($(CONFIG_X86_64),y)
  export-objs += crypto-ksym.o
  obj-y       += aes-amd64.o md5-amd64.o crypto-ksym.o
  AFLAGS_aes-amd64.o := -DUSE_UNDERLINE=1
else
  export-objs += crypto-ksym.o
  obj-y       += aes.o md5.o crypto-ksym.o
  CFLAGS_aes.o := -DDATA_ALWAYS_ALIGNED=1
endif
endif
endif

include $(TOPDIR)/Rules.make

fastdep:

=== drivers/net/Makefile ===
# File: drivers/net/Makefile
#
# Makefile for the Linux network (ethercard) device drivers.
#

obj-y           :=
obj-m           :=
obj-n           :=
obj-            :=

mod-subdirs     := appletalk arcnet fc irda tokenring pcmcia wireless wan

O_TARGET := net.o

# All of the (potential) objects that export symbols.
# This list comes from 'grep -l EXPORT_SYMBOL *.[hc]'.

export-objs     :=	8390.o arlan.o aironet4500_core.o aironet4500_card.o \
			ppp_async.o ppp_generic.o slhc.o pppox.o auto_irq.o \
			net_init.o mii.o
list-multi	:=	rcpci.o ppp_mppe_mppc.o
rcpci-objs	:=	rcpci45.o rclanmtl.o
ppp_mppe_c-objs	:=	ppp_mppe_mppc_comp.o ppp_mppe_crypto.o

CFLAGS_dl2k.o	:=	-DUSE_IO_OPS

ifeq ($(CONFIG_TULIP),y)
  obj-y += tulip/tulip.o
endif

ifeq ($(CONFIG_E1000),y)
  obj-y += e1000/e1000.o
endif

ifeq ($(CONFIG_BONDING),y)
  obj-y += bonding/bonding.o
endif

ifeq ($(CONFIG_ISDN_PPP),y)
  obj-$(CONFIG_ISDN) += slhc.o
endif

ifeq ($(CONFIG_NET_BCM5700),y)
  obj-y += bcm5700/bcm5700.o
endif

ifeq ($(CONFIG_NET_BCM4400),y)
  obj-y += bcm4400/bcm4400.o
endif

subdir-$(CONFIG_NETGEAR_GA622) += ga622
subdir-$(CONFIG_NET_PCMCIA) += pcmcia
subdir-$(CONFIG_NET_WIRELESS) += wireless
subdir-$(CONFIG_TULIP) += tulip tulip_old
subdir-$(CONFIG_IRDA) += irda
subdir-$(CONFIG_TR) += tokenring
subdir-$(CONFIG_WAN) += wan
subdir-$(CONFIG_NET_FC) += fc
subdir-$(CONFIG_ARCNET) += arcnet
subdir-$(CONFIG_DEV_APPLETALK) += appletalk
subdir-$(CONFIG_SK98LIN) += sk98lin
subdir-$(CONFIG_SK9DLIN) += sk9dlin
subdir-$(CONFIG_SKFP) += skfp
subdir-$(CONFIG_NET_BCM5700) += bcm5700
subdir-$(CONFIG_NET_BCM4400) += bcm4400
subdir-$(CONFIG_E100) += e100
subdir-$(CONFIG_E1000) += e1000
subdir-$(CONFIG_IXGB) += ixgb
subdir-$(CONFIG_BONDING) += bonding

#
# link order important here
#
obj-$(CONFIG_PLIP) += plip.o

obj-$(CONFIG_ROADRUNNER) += rrunner.o

obj-$(CONFIG_HAPPYMEAL) += sunhme.o
obj-$(CONFIG_SUNLANCE) += sunlance.o
obj-$(CONFIG_SUNQE) += sunqe.o
obj-$(CONFIG_SUNBMAC) += sunbmac.o
obj-$(CONFIG_MYRI_SBUS) += myri_sbus.o
obj-$(CONFIG_SUNGEM) += sungem.o

obj-$(CONFIG_MACE) += mace.o
obj-$(CONFIG_BMAC) += bmac.o
obj-$(CONFIG_GMAC) += gmac.o

obj-$(CONFIG_OAKNET) += oaknet.o 8390.o

obj-$(CONFIG_DGRS) += dgrs.o
obj-$(CONFIG_RCPCI) += rcpci.o
obj-$(CONFIG_VORTEX) += 3c59x.o mii.o
obj-$(CONFIG_TYPHOON) += typhoon.o
obj-$(CONFIG_BC90X) += 3c90x.o
obj-$(CONFIG_NE2K_PCI) += ne2k-pci.o 8390.o
obj-$(CONFIG_PCNET32) += pcnet32.o mii.o
obj-$(CONFIG_PCNET32_OLD) += pcnet32-old.o mii.o
obj-$(CONFIG_EEPRO100) += eepro100.o mii.o
obj-$(CONFIG_TLAN) += tlan.o
obj-$(CONFIG_EPIC100) += epic100.o mii.o
obj-$(CONFIG_SIS900) += sis900.o mii.o
obj-$(CONFIG_SIS900_OLD) += sis900_old.o
obj-$(CONFIG_DM9102) += dmfe.o
obj-$(CONFIG_YELLOWFIN) += yellowfin.o
obj-$(CONFIG_ACENIC) += acenic.o
obj-$(CONFIG_VETH) += veth.o
obj-$(CONFIG_NATSEMI) += natsemi.o
obj-$(CONFIG_NS83820) += ns83820.o
obj-$(CONFIG_STNIC) += stnic.o 8390.o
obj-$(CONFIG_FEALNX) += fealnx.o mii.o
obj-$(CONFIG_TC35815) += tc35815.o
obj-$(CONFIG_TIGON3) += tg3.o

ifeq ($(CONFIG_E100),y)
  obj-y += e100/e100.o
endif

ifeq ($(CONFIG_SK98LIN),y)
obj-y += sk98lin/sk98lin.o
endif

ifeq ($(CONFIG_SK9DLIN),y)
obj-y += sk9dlin/sk9dlin.o
endif

ifeq ($(CONFIG_SKFP),y)
  obj-y += skfp/skfp.o
endif

ifeq ($(CONFIG_NETGEAR_GA622),y)
  obj-y += ga622/ga622.o
endif

obj-$(CONFIG_VIA_RHINE) += via-rhine.o mii.o
obj-$(CONFIG_ADAPTEC_STARFIRE) += starfire.o
obj-$(CONFIG_NET_AMD8111) += amd8111e.o

#
# end link order section
#

obj-$(CONFIG_AIRONET4500) 	+= aironet4500_core.o
obj-$(CONFIG_AIRONET4500_CS) 	+= aironet4500_core.o
obj-$(CONFIG_AIRONET4500_NONCS)  += aironet4500_card.o
obj-$(CONFIG_AIRONET4500_PROC)	+= aironet4500_proc.o
obj-$(CONFIG_AIRONET4500_CS)	+= aironet4500_proc.o

obj-$(CONFIG_WINBOND_840) += winbond-840.o mii.o
obj-$(CONFIG_SUNDANCE) += sundance.o mii.o
obj-$(CONFIG_HAMACHI) += hamachi.o
obj-$(CONFIG_NET) += Space.o setup.o net_init.o loopback.o
obj-$(CONFIG_SEEQ8005) += seeq8005.o
obj-$(CONFIG_ETHERTAP) += ethertap.o
obj-$(CONFIG_NET_SB1000) += sb1000.o
obj-$(CONFIG_MAC8390) += daynaport.o 8390.o
obj-$(CONFIG_APNE) += apne.o 8390.o
obj-$(CONFIG_PCMCIA_PCNET) += 8390.o
obj-$(CONFIG_SHAPER) += shaper.o
obj-$(CONFIG_SK_G16) += sk_g16.o
obj-$(CONFIG_HP100) += hp100.o
obj-$(CONFIG_SMC9194) += smc9194.o
obj-$(CONFIG_ARM_AM79C961A) += am79c961a.o
obj-$(CONFIG_ARM_ETHERH) += 8390.o
obj-$(CONFIG_WD80x3) += wd.o 8390.o
obj-$(CONFIG_EL2) += 3c503.o 8390.o
obj-$(CONFIG_NE2000) += ne.o 8390.o
obj-$(CONFIG_NE2_MCA) += ne2.o 8390.o
obj-$(CONFIG_HPLAN) += hp.o 8390.o
obj-$(CONFIG_HPLAN_PLUS) += hp-plus.o 8390.o
obj-$(CONFIG_ULTRA) += smc-ultra.o 8390.o
obj-$(CONFIG_ULTRAMCA) += smc-mca.o 8390.o
obj-$(CONFIG_ULTRA32) += smc-ultra32.o 8390.o
obj-$(CONFIG_E2100) += e2100.o 8390.o
obj-$(CONFIG_ES3210) += es3210.o 8390.o
obj-$(CONFIG_LNE390) += lne390.o 8390.o
obj-$(CONFIG_NE3210) += ne3210.o 8390.o
obj-$(CONFIG_NET_SB1250_MAC) += sb1250-mac.o
obj-$(CONFIG_NET_FORCEDETH) += forcedeth.o
obj-$(CONFIG_NET_B44) += b44.o

obj-$(CONFIG_PPP) += ppp_generic.o slhc.o
obj-$(CONFIG_PPP_ASYNC) += ppp_async.o
obj-$(CONFIG_PPP_SYNC_TTY) += ppp_synctty.o
obj-$(CONFIG_PPP_DEFLATE) += ppp_deflate.o
obj-$(CONFIG_PPP_BSDCOMP) += bsd_comp.o

ifeq ($(CONFIG_PPP_MPPE),y)
  obj-y += $(ppp_mppe_c-objs)
else
  ifeq ($(CONFIG_PPP_MPPE),m)
    obj-m += ppp_mppe_mppc.o
  endif
endif

obj-$(CONFIG_PPPOE) += pppox.o pppoe.o

obj-$(CONFIG_SLIP) += slip.o
ifeq ($(CONFIG_SLIP_COMPRESSED),y)
  obj-$(CONFIG_SLIP) += slhc.o
endif

obj-$(CONFIG_STRIP) += strip.o
obj-$(CONFIG_DUMMY) += dummy.o
obj-$(CONFIG_IMQ) += imq.o
obj-$(CONFIG_DE600) += de600.o
obj-$(CONFIG_DE620) += de620.o
obj-$(CONFIG_AT1500) += lance.o
obj-$(CONFIG_LANCE) += lance.o
obj-$(CONFIG_SUN3_82586) += sun3_82586.o
obj-$(CONFIG_SUN3LANCE) += sun3lance.o
obj-$(CONFIG_DEFXX) += defxx.o
obj-$(CONFIG_SGISEEQ) += sgiseeq.o
obj-$(CONFIG_SGI_O2MACE_ETH) += meth.o
obj-$(CONFIG_AT1700) += at1700.o
obj-$(CONFIG_FMV18X) += fmv18x.o
obj-$(CONFIG_EL1) += 3c501.o
obj-$(CONFIG_EL16) += 3c507.o
obj-$(CONFIG_ELMC) += 3c523.o
obj-$(CONFIG_SKMC) += sk_mca.o
obj-$(CONFIG_IBMLANA) += ibmlana.o
obj-$(CONFIG_ELMC_II) += 3c527.o
obj-$(CONFIG_EL3) += 3c509.o
obj-$(CONFIG_3C515) += 3c515.o
obj-$(CONFIG_EEXPRESS) += eexpress.o
obj-$(CONFIG_EEXPRESS_PRO) += eepro.o
obj-$(CONFIG_8139CP) += 8139cp.o mii.o
obj-$(CONFIG_8139TOO) += 8139too.o mii.o
obj-$(CONFIG_WAVELAN) += wavelan.o
obj-$(CONFIG_WL2400) += wl24.o wlapi.o wlioctl.o wlpnp.o
obj-$(CONFIG_ARLAN) += arlan.o arlan-proc.o
obj-$(CONFIG_ZNET) += znet.o
obj-$(CONFIG_LAN_SAA9730) += saa9730.o
obj-$(CONFIG_DEPCA) += depca.o
obj-$(CONFIG_EWRK3) += ewrk3.o
obj-$(CONFIG_ATP) += atp.o
obj-$(CONFIG_DE4X5) += de4x5.o
obj-$(CONFIG_NI5010) += ni5010.o
obj-$(CONFIG_NI52) += ni52.o
obj-$(CONFIG_NI65) += ni65.o
obj-$(CONFIG_ELPLUS) += 3c505.o
obj-$(CONFIG_AC3200) += ac3200.o 8390.o
obj-$(CONFIG_APRICOT) += 82596.o
obj-$(CONFIG_LASI_82596) += lasi_82596.o
obj-$(CONFIG_MVME16x_NET) += 82596.o
obj-$(CONFIG_BVME6000_NET) += 82596.o

# This is also a 82596 and should probably be merged
obj-$(CONFIG_LP486E) += lp486e.o

obj-$(CONFIG_ETH16I) += eth16i.o
obj-$(CONFIG_ARIADNE2) += ariadne2.o 8390.o
obj-$(CONFIG_HPLANCE) += hplance.o 7990.o
obj-$(CONFIG_MVME147_NET) += mvme147.o 7990.o
obj-$(CONFIG_EQUALIZER) += eql.o
obj-$(CONFIG_MIPS_JAZZ_SONIC) += jazzsonic.o
obj-$(CONFIG_MIPS_GT96100ETH) += gt96100eth.o
obj-$(CONFIG_MIPS_AU1000_ENET) += au1000_eth.o
obj-$(CONFIG_SGI_IOC3_ETH) += ioc3-eth.o
obj-$(CONFIG_BAGETLANCE) += bagetlance.o
obj-$(CONFIG_DECLANCE) += declance.o
obj-$(CONFIG_ATARILANCE) += atarilance.o
obj-$(CONFIG_ATARI_BIONET) += atari_bionet.o
obj-$(CONFIG_ATARI_PAMSNET) += atari_pamsnet.o
obj-$(CONFIG_A2065) += a2065.o
obj-$(CONFIG_HYDRA) += hydra.o 8390.o
obj-$(CONFIG_ARIADNE) += ariadne.o
obj-$(CONFIG_CS89x0) += cs89x0.o
obj-$(CONFIG_MACSONIC) += macsonic.o
obj-$(CONFIG_MACMACE) += macmace.o
obj-$(CONFIG_MAC89x0) += mac89x0.o
obj-$(CONFIG_TUN) += tun.o
obj-$(CONFIG_DL2K) += dl2k.o
obj-$(CONFIG_R8169) += r8169.o

obj-$(CONFIG_IBMVETH) += ibmveth.o

ifeq ($(CONFIG_ARCH_ACORN),y)
mod-subdirs	+= ../acorn/net
subdir-y	+= ../acorn/net
obj-y		+= ../acorn/net/acorn-net.o
endif

obj-$(CONFIG_NETCONSOLE) += netconsole.o

#
# HIPPI adapters
#

ifneq ($(ARCH),s390)
ifneq ($(ARCH),s390x)
obj-y += auto_irq.o
endif
endif

include $(TOPDIR)/Rules.make

clean:
	rm -f core *.o *.a *.s

rcpci.o: $(rcpci-objs)
	$(LD) -r -o $@ $(rcpci-objs)

ppp_mppe_mppc.o: $(ppp_mppe_c-objs)
	$(LD) -r -o $@ $(ppp_mppe_c-objs)

=== fs/jfs/Makefile ===
#
# Makefile for the Linux JFS filesystem routines.
#

O_TARGET := jfs.o
obj-y   := super.o file.o inode.o namei.o jfs_mount.o jfs_umount.o \
	    jfs_xtree.o jfs_imap.o jfs_debug.o jfs_dmap.o \
	    jfs_unicode.o jfs_dtree.o jfs_inode.o \
	    jfs_extent.o symlink.o jfs_metapage.o \
	    jfs_logmgr.o jfs_txnmgr.o jfs_uniupr.o resize.o xattr.o
obj-m   := $(O_TARGET)
obj-$(CONFIG_JFS_POSIX_ACL)	+= acl.o

EXTRA_CFLAGS += -D_JFS_4K

include $(TOPDIR)/Rules.make

=== fs/reiserfs/Makefile ===
#
# Makefile for the linux reiser-filesystem routines.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definitions are now in the main makefile...

export-objs := super.o
O_TARGET := reiserfs.o
obj-y   := bitmap.o do_balan.o namei.o inode.o file.o dir.o fix_node.o super.o prints.o objectid.o \
lbalance.o ibalance.o stree.o hashes.o buffer2.o tail_conversion.o journal.o resize.o item_ops.o ioctl.o procfs.o

obj-$(CONFIG_REISERFS_FS_XATTR) += xattr.o
obj-$(CONFIG_REISERFS_FS_XATTR_USER) += xattr_user.o
obj-$(CONFIG_REISERFS_FS_XATTR_TRUSTED) += xattr_trusted.o
obj-$(CONFIG_REISERFS_FS_POSIX_ACL) += xattr_acl.o

obj-m   := $(O_TARGET)

# gcc -O2 (the kernel default)  is overaggressive on ppc32 when many inline
# functions are used.  This causes the compiler to advance the stack
# pointer out of the available stack space, corrupting kernel space,
# and causing a panic. Since this behavior only affects ppc32, this ifeq
# will work around it. If any other architecture displays this behavior,
# add it here.
ifeq ($(CONFIG_PPC32),y)
EXTRA_CFLAGS := -O1
endif

include $(TOPDIR)/Rules.make

TAGS:
	etags *.c

=== fs/shfs/Makefile ===
#
# Makefile for the linux shfs filesystem routines.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (not a .c file).
#
# Note 2! The CFLAGS definitions are now in the main makefile.

O_TARGET := shfs.o

obj-y    := dcache.o dir.o fcache.o file.o inode.o ioctl.o proc.o shell.o symlink.o

obj-m    := $(O_TARGET)

# just if you want debug output
# there are 4 DEBUG modes (see shfs_debug.h):
# DEBUG_LEVEL = 0	=>	DEBUG deactivated
# DEBUG_LEVEL = 1	=>	VERBOSE
# DEBUG_LEVEL = 2	=>	ALLOC_DEBUG
# DEBUG_LEVEL = 3	=>	real DEBUG

ifdef CONFIG_SH_FS_DEBUG0
	DEBUG_LEVEL=0
endif
ifdef CONFIG_SH_FS_DEBUG1
	DEBUG_LEVEL=1
endif
ifdef CONFIG_SH_FS_DEBUG2
	DEBUG_LEVEL=2
endif
ifdef CONFIG_SH_FS_DEBUG3
	DEBUG_LEVEL=3
endif

CFLAGS_proc.o += -finline-functions

include $(TOPDIR)/Rules.make

=== fs/squashfs/Makefile ===
#
# Makefile for the linux squashfs routines.
#

O_TARGET := squashfs.o

obj-y  := inode.o

obj-m := $(O_TARGET)

include $(TOPDIR)/Rules.make

=== gradm2/debian/control ===
Source: gradm2
Section: admin
Priority: optional
Maintainer: László Böszörményi (GCS) <gcs@lsc.hu>
Build-Depends: debhelper (>> 4.0.0), bison, flex
Standards-Version: 3.6.1

Package: gradm2
Architecture: any
Suggests: kernel-patch-grsecurity2
Depends: ${misc:Depends}
Description: Administration program for the grsecurity2 RBAC based ACL system
 Used to manage the RBAC based ACL system of grsecurity2. Please note that you
 will need a specially patched kernel for grsecurity to work (see the
 kernel-patch-grsecurity2 Debian package). You can find more information
 about grsecurity at http://www.grsecurity.net/

=== gradm2/debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=4

BUILDDIR=$(CURDIR)/debian/gradm2

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

debian/po/templates.pot: debian/templates
	@debconf-updatepo

clean: debian/po/templates.pot
	dh_testdir

	rm -f build-stamp install-stamp
	$(MAKE) clean
	dh_clean

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)
	touch $@

install: install-stamp

install-stamp: build
	dh_testdir

	$(MAKE) install DESTDIR=$(BUILDDIR)
	rm -rf $(BUILDDIR)/dev/
	install -d $(BUILDDIR)/usr/share/lintian/overrides/
	install -m0644 $(CURDIR)/debian/lintian.overrides $(BUILDDIR)/usr/share/lintian/overrides/gradm2
	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_installdebconf
	dh_installdocs
	dh_installman debian/grlearn.8
	dh_installchangelogs
	dh_compress
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean build binary-indep binary-arch binary install
